WP_PLUGINS="sportspress sportspress-for-baseball wordpress-importer"
WP_PLUGINS+=" akismet  jetpack  pretty-link  printful-shipping-for-woocommerce  seriously-simple-podcasting  woocommerce  woocommerce-services"
if [ "$#" -lt 1 ]; then
    echo "Error: COMPOSE_FILE argument is missing."
    echo "Usage: $0 COMPOSE_FILE"
    exit 1
fi

COMPOSE_FILE="$1"
SCRIPTPATH="$( cd -- "$(dirname "$0")" >/dev/null 2>&1 ; pwd -P )"
ENV_FILE=$SCRIPTPATH/.env

# this env file is not being read and i don't know why.
# it's actually being loaded from compose.yml

docker compose -f $COMPOSE_FILE run --env WP_PLUGINS="$WP_PLUGINS" --rm -it  wp-cli sh -c \
'wp plugin install $WP_PLUGINS --activate --force'
